PolicyConstraints (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Class PolicyConstraints

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.PolicyConstraints

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PolicyConstraints
      extends ASN1Object

  PKIX RFC 5280

       id-ce-policyConstraints OBJECT IDENTIFIER ::=  { id-ce 36 }

       PolicyConstraints ::= SEQUENCE {
            requireExplicitPolicy           [0] SkipCerts OPTIONAL,
            inhibitPolicyMapping            [1] SkipCerts OPTIONAL }

       SkipCerts ::= INTEGER (0..MAX)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyConstraints(java.math.BigInteger requireExplicitPolicyMapping, java.math.BigInteger inhibitPolicyMapping)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PolicyConstraints` | `fromExtensions(Extensions extensions)`
    `java.math.BigInteger` | `getInhibitPolicyMapping()`
    `static PolicyConstraints` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getRequireExplicitPolicyMapping()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyConstraints

          public PolicyConstraints(java.math.BigInteger requireExplicitPolicyMapping,
                                   java.math.BigInteger inhibitPolicyMapping)

  - ### Method Detail

    - #### getInstance

          public static PolicyConstraints getInstance(java.lang.Object obj)

    - #### fromExtensions

          public static PolicyConstraints fromExtensions(Extensions extensions)

    - #### getRequireExplicitPolicyMapping

          public java.math.BigInteger getRequireExplicitPolicyMapping()

    - #### getInhibitPolicyMapping

          public java.math.BigInteger getInhibitPolicyMapping()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.